Bug 1421343 - [BUG 4.1-Beta] Hosted Engine setup failed to detect ova image under /usr/share
Summary: [BUG 4.1-Beta] Hosted Engine setup failed to detect ova image under /usr/share
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 4.1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-4.1.1
: ---
Assignee: Simone Tiraboschi
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 09:09 UTC by Ulhas Surse
Modified: 2020-07-16 09:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 09:08:29 UTC
oVirt Team: Integration
Target Upstream Version:
nsednev: testing_plan_complete+


Attachments (Terms of Use)

Description Ulhas Surse 2017-02-11 09:09:43 UTC
Description of problem:
While installation of hosted engine setup from cockpit, setup is unable to detect .ova file placed in /usr/share as per the document. 


2.2. Initiating Self-Hosted Engine Deployment on Red Hat Virtualization Host 
https://access.redhat.com/documentation/en/red-hat-virtualization/4.1-beta/paged/self-hosted-engine-guide/22-initiating-self-hosted-engine-deployment-on-red-hat-virtualization-host


Version-Release number of selected component (if applicable):
RHVM 4.1 Beta
ovirt-engine-4.1.0.4-0.1.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. Start hosted engine setup from cockpit URL
2. In the second step, there is error while detecting ova and setup asks to install appliance rpm.
3.

Actual results:
appliance image is not detected.

Expected results:
Appliance image should be detected under /usr/share/

Additional info:


2017-02-11 09:00:44 DEBUG otopi.context context._executeMethod:128 Stage setup METHOD otopi.plugins.otopi.packagers.yumpackager.Plugin._setup
2017-02-11 09:00:44 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Cleaning caches: ['expire-cache'].
2017-02-11 09:00:44 DEBUG otopi.context context._executeMethod:128 Stage setup METHOD otopi.plugins.gr_he_common.network.bridge.Plugin._setup
2017-02-11 09:00:44 DEBUG otopi.context context._executeMethod:128 Stage setup METHOD otopi.plugins.gr_he_common.vm.boot_disk.Plugin._setup
2017-02-11 09:00:44 INFO otopi.plugins.gr_he_common.vm.boot_disk boot_disk._setup:509 Detecting available oVirt engine appliances
2017-02-11 09:00:44 DEBUG otopi.plugins.gr_he_common.vm.boot_disk boot_disk._detect_appliances:269 available appliances: []
2017-02-11 09:00:44 ERROR otopi.plugins.gr_he_common.vm.boot_disk boot_disk._setup:513 No engine appliance image is available on your system.
2017-02-11 09:00:44 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### The oVirt engine appliance is now required to deploy hosted-engine.
2017-02-11 09:00:44 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### You could get oVirt engine appliance installing ovirt-engine-appliance rpm.
2017-02-11 09:00:44 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QStart: OVEHOSTED_INSTALL_OVIRT_ENGINE_APPLIANCE
2017-02-11 09:00:44 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### Do you want to install ovirt-engine-appliance rpm? (Yes, No) [Yes]: 
2017-02-11 09:00:44 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QDefault: Yes

Comment 1 Simone Tiraboschi 2017-02-12 13:43:47 UTC
(In reply to Ulhas Surse from comment #0)
> Description of problem:
> While installation of hosted engine setup from cockpit, setup is unable to
> detect .ova file placed in /usr/share as per the document. 

Did you installed the appliance on that host from its rpm or did you simply copied it under /usr/share ?

Comment 2 Yaniv Lavi 2017-02-27 10:12:16 UTC
Please reopen if you can provide the needed info.

Comment 3 Ulhas Surse 2017-02-27 12:49:09 UTC
(In reply to Simone Tiraboschi from comment #1)
> (In reply to Ulhas Surse from comment #0)
> > Description of problem:
> > While installation of hosted engine setup from cockpit, setup is unable to
> > detect .ova file placed in /usr/share as per the document. 
> 
> Did you installed the appliance on that host from its rpm or did you simply
> copied it under /usr/share ?

Hello, I manually copied the appliance to the location /usr/share.

Comment 4 Simone Tiraboschi 2017-02-28 09:08:29 UTC
In the appliance there is also a description file under /etc/ovirt-hosted-engine/10-appliance.conf, you need that as well.

Comment 5 Pawan kumar Vilayatkar 2017-06-14 17:02:02 UTC
Hello ,

While installation of hosted engine setup from cockpit, setup is unable to detect .ova file placed in /usr/share. 

Customer has downloaded the .ova file from RHN portal and copied it into /usr/share but while installation through cockpit it fails to detect the ova file.

In the file under /etc/ovirt-hosted-engine/10-appliance.conf we have specified the path but still deployment fails with error message "No engine appliance image is available on your system." 

The only option to use rhevm-appliance from RHV 4.1 is while selecting "Yes"
option when deployment script ask Do you want to install ovirt-engine-appliance rpm? (Yes, No) [Yes]:"", manual copy of ova file not work ?

- Pawan

Comment 6 Simone Tiraboschi 2017-06-14 17:09:09 UTC
(In reply to Pawan kumar Vilayatkar from comment #5)
> ovirt-engine-appliance rpm? (Yes, No) [Yes]:"", manual copy of ova file not
> work ?

No, /etc/ovirt-hosted-engine/10-appliance.conf is needed as well and it's container in rpm as expected.

Comment 7 Ulhas Surse 2017-06-14 17:15:25 UTC
Hello Simone, 

Then I would like to know  the significance of OVA image provided in the portal for download: RHEV-M Appliance for 4.1.2 

https://access.redhat.com/downloads/content/150/ver=4.1/rhel---7/4.1/x86_64/product-software

If appliance can only be downloaded from rpm, then this image is for what purpose?

Comment 8 Simone Tiraboschi 2017-06-15 15:44:28 UTC
I think that now we can remove it from the portal.


Note You need to log in before you can comment on or make changes to this bug.